Ext.namespace('dSS11');

dSS11.LogFilesPanel = Ext.extend(Ext.Panel,
{
    initComponent: function()
    {
        Ext.apply(this, {
            hideBorders: true,
            padding: 10,
            cls: 'x-black-text',
            html: '<span class="x-green-text x-text-link"><br/>' +
                  '<a href="/logs/" target="_blank">' +
                  _("Browse system log files") + '</a></span>'
            //items: []
        });

        dSS11.LogFilesPanel.superclass.initComponent.apply(this, arguments);

        if (dSS11.config.dSSIntegration === true)  {
            dSS.MessageBus.on('showlog',
                this.showLog.createDelegate(this), this);

        }

    }, // initcomponent
    showLog: function(dsid) {
        if (dsid !== undefined) {
            dSS11.StatusBar.setMessage(
                    _("Log opens in a new tab or window"));
            window.open('/cgi-bin/logview.hs?dsid=' + dsid);
        } else {
            dSS11.StatusBar.setMessage(_("Can not find log: missing ID " +
                                       "parameter"));
        }
    }
});

Ext.reg('dss11logfiles', dSS11.LogFilesPanel);

